Get list of columns

GET
https://example.kaiten.ru/api/latest/boards/{board_id}/columns
Path parameters
NameTypeReference
board_idrequiredintegerBoard ID
Responses

200
DescriptionResponse typeExample
SuccessArray of objects
Open
Response Attributes
NameTypeDescription
updated

string

Last update timestamp
created

string

Create date
id

integer

Column id
title

string

Column title
sort_order

number

Position
col_count

integer

Width
wip_limit

integer

Recommended limit for column
type

enum

1 - queue, 2 – in progress, 3 – done
rules

integer

Bit mask for column rules. Rules: 1 - checklists must be checked, 2 - display FIFO order
board_id

integer

Board id
column_id

null

Parent column id
archive_after_days

integer

Specify amont of days after which cards will be automatically archived. Works only for columns with type **done**
wip_limit_type

enum

1 – card's count, 2 – card's size
external_id

null | string

External id
default_tags

string

Default tags
last_moved_warning_after_days

integer

Warning appears on stale cards
last_moved_warning_after_hours

integer

Warning appears on stale cards
last_moved_warning_after_minutes

integer

Warning appears on stale cards
months_to_hide_cards

null | integer

[Deprecated] Hide cards not moved for the last N months
card_hide_after_days

null | integer

Hide cards not moved for the last N days
pause_sla

boolean

Indicates whether the SLA timer should be paused in this column
subcolumns

array of objects

Schema
Column subcolumns
401
DescriptionResponse typeExample
Invalid tokenString
Open

A schema has not been defined for this response code.

403
DescriptionResponse typeExample
ForbidenResponse body does not exist

A schema has not been defined for this response code.

404
DescriptionResponse typeExample
Not foundResponse body does not exist

A schema has not been defined for this response code.

logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.io

Path Parameters

  1  curl --request GET \
  2       --url 'https://example.kaiten.ru/api/latest/boards/{board_id}/columns' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!